#!/bin/bash

# Medium mounter for sync2cd
# Copyright (C) 2007  Remy Blank
#
# This file is part of sync2cd.
# 
# This program is free software; you can redistribute it and/or modify it 
# under the terms of the GNU General Public License as published by the 
# Free Software Foundation, version 2. A copy of the license is provided 
# in the file COPYING.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General 
# Public License for more details.

descriptorDir=".sync2cd"

if [ $# -lt 2 ] || [ $# -gt 3 ]; then
    echo "Usage: sync2cd_mounter.sh mount_point [device] descriptor"
    exit 1
fi

if [ $# = 2 ]; then
    mountPoint="$1"
    device=""
    descriptor="$2"
else
    mountPoint="$1"
    device="$2"
    descriptor="$3"
fi
archive="${descriptor/*.}"

while true; do
    eject "${mountPoint}"

    [ "$((10#${archive}))" = "0" ] && exit 0
    
    echo >&2
    echo "Please insert archive #${archive} and press ENTER" >&2
    echo "Enter 's' to skip this archive or 'a' to abort" >&2
    read answer
    
    [ "${answer}" = "s" ] && exit 1
    [ "${answer}" = "a" ] && exit 2
    
    mount ${device} "${mountPoint}" || exit 2
    [ -f "${mountPoint}/${descriptorDir}/${descriptor}" ] && break
    [ -f "${mountPoint}/${descriptorDir}/${descriptor}.gz" ] && break
    
    echo >&2
    echo "This medium doesn't contain archive #${archive}" >&2
done

echo "${mountPoint}"
exit 0
